Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Multilib
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Mon Feb 22, 2010 8:51 pm    Post subject: Multilib Reply with quote

Hello

Following this guide
Code:
http://www.gentoo.org/proj/en/base/sparc/multilib.xml


I get this error
Code:
 * Sanity check to keep you from breaking your system:
 *  Downgrading glibc is not supported and a sure way to destruction
 * ERROR: sys-libs/glibc-2.9_p20081201-r2 failed:
 *   aborting to save your system


I have glibc 2.10 installed
There is no multilib binary glibc-2.10
Apparently I cant downgrade glibc
So am I stuck?
Back to top
View user's profile Send private message
richard.scott
Veteran
Veteran


Joined: 19 May 2003
Posts: 1496
Location: Oxfordshire, UK

PostPosted: Tue Feb 23, 2010 9:58 am    Post subject: Reply with quote

why not keyword the one you want?

Code:
echo "=sys-libs/glibc-2.10.1-r1" > /etc/portage/package.keywords


and see if it unmasks the one you want?
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Tue Feb 23, 2010 11:20 am    Post subject: Reply with quote

this may describe the problem better
i dont have a multilib gcc to build a multilib glibc
thats why i need a pre-built miltilib glibc package to build a multilib gcc
the only one available is glibc-2.9
Back to top
View user's profile Send private message
richard.scott
Veteran
Veteran


Joined: 19 May 2003
Posts: 1496
Location: Oxfordshire, UK

PostPosted: Tue Feb 23, 2010 1:23 pm    Post subject: Reply with quote

try re-syncing.... my portage tree tells me that glibc-2.10.1-r1 is available on the sparc architecture.
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Tue Feb 23, 2010 8:19 pm    Post subject: Reply with quote

thats right it is,
and it does compile when not using multilib
i do have glibc-2.10 installed with out the multilib use flag
i need glibc-2.10 with mutilib
it not can or cant i compile glibc 2.10
its i cant installed the multilib glibc 2.10 hence the need for a binary multilib glibc-2.10
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Wed Feb 24, 2010 12:51 am    Post subject: Reply with quote

I have chroot to an old stage3 with glibc-2.9
installed the binary multilib glibc-2.9
tried to compile multilib gcc

and I get this error

Code:
checking for suffix of object files... configure: error: cannot compute suffix of object files: cannot compile
Back to top
View user's profile Send private message
richard.scott
Veteran
Veteran


Joined: 19 May 2003
Posts: 1496
Location: Oxfordshire, UK

PostPosted: Wed Feb 24, 2010 9:18 am    Post subject: Reply with quote

I found this by googling:

http://www.gentoo.org/proj/en/base/sparc/multilib.xml

does it help?
Back to top
View user's profile Send private message
mattst88
Developer
Developer


Joined: 28 Oct 2004
Posts: 363

PostPosted: Wed Feb 24, 2010 8:02 pm    Post subject: Reply with quote

richard.scott wrote:
I found this by googling:

http://www.gentoo.org/proj/en/base/sparc/multilib.xml

does it help?


His first post starts with

chris... wrote:
Hello

Following this guide
Code:
http://www.gentoo.org/proj/en/base/sparc/multilib.xml

_________________
My 1U Dual 833 MHz Alphaserver DS20L
The AlphaLinux.org Wiki
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Wed Feb 24, 2010 8:10 pm    Post subject: Reply with quote

yes followed the guide

The guides states

Code:
Install a multilib glibc

To compile a multilib glibc you need a biarch gcc but to compile a biarch gcc you need a multilib glibc.


Catch 22 situation
So i need a binary biarch as provided by the guide
While compiling gcc I get this error

Code:
checking for suffix of object files... configure: error: cannot compute suffix of object files: cannot compile
Back to top
View user's profile Send private message
richard.scott
Veteran
Veteran


Joined: 19 May 2003
Posts: 1496
Location: Oxfordshire, UK

PostPosted: Thu Feb 25, 2010 8:18 am    Post subject: Reply with quote

Are you emerging a new updated version of gcc when your compile fails?
i.e did you follow that doc to the end before trying to emerge the latest gcc?
Back to top
View user's profile Send private message
chris...
Apprentice
Apprentice


Joined: 26 Sep 2006
Posts: 179
Location: Melbourne, AU

PostPosted: Thu Feb 25, 2010 12:28 pm    Post subject: Reply with quote

I was remerging the same gcc version and it was failing

I managed to fix it by doing the following
I used a stage3 2008 and chroot to it
install the biarch binary glic2.9
compile basic gcc4.3.4 (this is where i always got stuck before)
compile glibc2.10
compile gcc4.3.4 with all the features I need

I decided to compile a basic gcc first because I thought some extra feature might have been causing the problem, I don't know if the is necessary
I now have the latest stable glibc and gcc in biarch
I dont know why it didnt work on my current machine, or a slightly older copy with glibc2.9
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum